QI Internet Explorer

Le
yves
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 3
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
P4nd1-P4nd4
Le #23622851
yves avait écrit le 01.08.2011 :

HAHA pauvre panda



Bof, durant un temps j'utilisais Opera, mais bon, il n'a rien de si
extraordinaire, je suis vite repassé sous un vrai naviguateur
Doug713705
Le #23622971
Le 01-08-2011, P4nd1-P4nd4 nous expliquait dans
fr.comp.os.linux.debats :

Bof, durant un temps j'utilisais Opera, mais bon, il n'a rien de si
extraordinaire, je suis vite repassé sous un vrai naviguateur



Ah, toi aussi tu utilises seamonkey ?

--
Doug - Linux user #307925 - Slackware64 roulaize ;-)
http://www.dougwise.org
http://usenet-fr.dougwise.org
http://news.dougwise.org
P4nd1-P4nd4
Le #23624941
Doug713705 avait soumis l'idée :
Le 01-08-2011, P4nd1-P4nd4 nous expliquait dans
fr.comp.os.linux.debats :

Bof, durant un temps j'utilisais Opera, mais bon, il n'a rien de si
extraordinaire, je suis vite repassé sous un vrai naviguateur



Ah, toi aussi tu utilises seamonkey ?



J'utilisai ce qui était un peu l'encêtre de Seamonkey, c'était Netscape
Communicator, qui possédait à l'époque aussi un éditeur HTML ainsi
qu'un client mail ;>))

Aujourd'hui, je pense que tout est devenu un peu trop spécialisé pour
avoir un truc tout en un, mais bon, pourquoi pas

Mais je doute vraiment que savoir utiliser Seamonkey rends intelligent,
comme Opera

En fait, l'inteligence ammène systématiquement l'homme au même endroit:
A la flemmardise

Alors, j'ai la flemme de changer de naviguateur
JKB
Le #23624931
Le Tue, 02 Aug 2011 20:27:54 +0200,
P4nd1-P4nd4 <P4nd1-P4nd4@> écrivait :
Doug713705 avait soumis l'idée :
Le 01-08-2011, P4nd1-P4nd4 nous expliquait dans
fr.comp.os.linux.debats :

Bof, durant un temps j'utilisais Opera, mais bon, il n'a rien de si
extraordinaire, je suis vite repassé sous un vrai naviguateur



Ah, toi aussi tu utilises seamonkey ?



J'utilisai ce qui était un peu l'encêtre de Seamonkey, c'était Netscape
Communicator, qui possédait à l'époque aussi un éditeur HTML ainsi
qu'un client mail ;>))

Aujourd'hui, je pense que tout est devenu un peu trop spécialisé pour
avoir un truc tout en un, mais bon, pourquoi pas

Mais je doute vraiment que savoir utiliser Seamonkey rends intelligent,
comme Opera

En fait, l'inteligence ammène systématiquement l'homme au même endroit:
A la flemmardise

Alors, j'ai la flemme de changer de naviguateur



Qu'un type comme toi se préoccupe de l'augmentation de l'entropie me
semble, comment dire, assez paradoxal.

--
Si votre demande me parvient sur carte perforée, je titiouaillerai très
volontiers une réponse...
=> http://grincheux.de-charybde-en-scylla.fr
P4nd1-P4nd4
Le #23625461
JKB avait énoncé :
Le Tue, 02 Aug 2011 20:27:54 +0200,
P4nd1-P4nd4 <P4nd1-P4nd4@> écrivait :
Doug713705 avait soumis l'idée :
Le 01-08-2011, P4nd1-P4nd4 nous expliquait dans
fr.comp.os.linux.debats :

Bof, durant un temps j'utilisais Opera, mais bon, il n'a rien de si
extraordinaire, je suis vite repassé sous un vrai naviguateur



Ah, toi aussi tu utilises seamonkey ?



J'utilisai ce qui était un peu l'encêtre de Seamonkey, c'était Netscape
Communicator, qui possédait à l'époque aussi un éditeur HTML ainsi
qu'un client mail ;>))

Aujourd'hui, je pense que tout est devenu un peu trop spécialisé pour
avoir un truc tout en un, mais bon, pourquoi pas

Mais je doute vraiment que savoir utiliser Seamonkey rends intelligent,
comme Opera

En fait, l'inteligence ammène systématiquement l'homme au même endroit:
A la flemmardise

Alors, j'ai la flemme de changer de naviguateur



Qu'un type comme toi se préoccupe de l'augmentation de l'entropie me
semble, comment dire, assez paradoxal.



L'entropie n'est qu'une grosse connerie si l'on y intègre un élément
qui m'est cher, soit l'Homme

Ceux qui croient à ces fadaises sont des gens que je catalogue
immédiatement à la gauche dur, soit les mêmes qui ne croient pas à
l'évolution humaine

Bref, ceux qui pensent que l'humanité n'est qu'un parasite, au mieux,
mais plutôt une espèce de pourrissure qui s'acroche à l'univers...
Doug713705
Le #23625501
Le 02-08-2011, P4nd1-P4nd4 nous expliquait dans
fr.comp.os.linux.debats :

Mais je doute vraiment que savoir utiliser Seamonkey rends intelligent,
comme Opera



On est d'accord pour dire que ces stats sont débiles et qu'on peut faire
dire beaucoup de choses aux stats[1] mais je crois que tu es malgré tout
passé à coté de l'essentiel de l'article :
Personne n'a jamais dit que l'utilisation d'un navigateur alternatif à
IE _rendait_ intelligent, il a été dit que, parmi les internautes, les
personnes les plus intelligentes utilisaient un navigateur différent de IE.
Ce n'est pas _du tout_ la même chose.


[1] http://xkcd.com/925/

--
Doug - Linux user #307925 - Slackware64 roulaize ;-)
http://www.dougwise.org
http://usenet-fr.dougwise.org
http://news.dougwise.org
Sylvain POURRE
Le #23625881
Doug713705 a écrit :
je suis vite repassé sous un vrai naviguateur

Ah, toi aussi tu utilises seamonkey ?



Oui, même si je regrette souvent le manque de fonctionnalité comme
superseder.
Annuler et modifier comme nouveau message n'est pas très pratique et
laisse traîner, sur le net, des versions différentes (sites qui
n'honorent pas les cancels par exemple).
Un autre problème récurrent (peut-être commun avec Firefox) est qu'à
chaque mise à jour de SM, les plugins ne sont que rarement compatibles.
Si les API étaient stables, il n'y aurait pas besoin d'indiquer, dans le
extensions ou les plugins, les versions compatibles.

--
Sylvain
Nicolas George
Le #23625911
Sylvain POURRE , dans le message
laisse traîner, sur le net, des versions différentes (sites qui
n'honorent pas les cancels par exemple).



Il y a des sites qui honorent les supersedes mais pas les cancels ?

Un autre problème récurrent (peut-être commun avec Firefox) est qu'à
chaque mise à jour de SM, les plugins ne sont que rarement compatibles.
Si les API étaient stables, il n'y aurait pas besoin d'indiquer, dans le
extensions ou les plugins, les versions compatibles.



Si les API étaient stables, elles ne seraient pas adaptées aux nouvelles
fonctionnalités.

Ce qui est stupide, en revanche, c'est que la version utilisée pour vérifier
la compatibilité des plugins soit la version du programme lui-même plutôt
qu'une version propre à l'API. Tous les auteurs sérieux de bibliothèques
partagées ont compris ça depuis longtemps, c'est le SONAME ; et encore, le
système est très peu expressif.

D'ailleurs, les plugins sont probablement compatibles, il suffirait
certainement de les déballer, de changer la version maximale et de
remballer.
Sylvain POURRE
Le #23626011
Nicolas George a écrit :


Il y a des sites qui honorent les supersedes mais pas les cancels ?



Je ne sais pas, j'ai pas pu vérifier.



Si les API étaient stables, elles ne seraient pas adaptées aux nouvelles
fonctionnalités.



Faut-il changer les API à chaque release ou au changement de version ?
Quand je regarde mes lib, je vois une tripoté de liens symboliques mais
un seul fichier réel ce qui permet de garder la compatibilité avec les
versions précédentes (d'ailleurs, un programme peut détecter sous quel
nom il a été invoqué et modifier, en conséquence, son comportement).



D'ailleurs, les plugins sont probablement compatibles, il suffirait
certainement de les déballer, de changer la version maximale et de
remballer.



Ce n'est qu'une archive, même si l’extension n'est pas parlante (ça ne
pose de problème qu'à un windowsien primaire) et le fichier est éditable
mais ça ne marche pas à tous les coups. J'ai été privé, un certain
temps, d'une fonction bien pratique (recherche d'un article sur son MID).

--
Sylvain
Nicolas George
Le #23626061
Sylvain POURRE , dans le message a écrit :
Faut-il changer les API à chaque release ou au changement de version ?



Il faut changer les API quand le besoin s'en fait sentir, c'est à dire quand
les anciennes API se révèlent inadaptées aux nouvelles fonctionnalités.

Quand je regarde mes lib, je vois une tripoté de liens symboliques mais
un seul fichier réel ce qui permet de garder la compatibilité avec les
versions précédentes



Parce que ta distribution fait l'effort de recompiler les programmes qui en
dépendant quand la bibliothèque change de SONAME. Sinon, tu aurais plusieurs
versions de la bibliothèque, avec chacune son jeu de liens.

(d'ailleurs, un programme peut détecter sous quel
nom il a été invoqué et modifier, en conséquence, son comportement).



C'est plus compliqué pour une bibliothèque. En particulier, le nom sous
lequel le programme l'a chargée n'est pas disponible.
Publicité
Poster une réponse
Anonyme